Mail archive
alpine-aports

[alpine-aports] [PATCH 1/6] testing/py-prettytable: new aport

From: Matt Dainty <matt+alpine_at_bodgit-n-scarper.com>
Date: Thu, 24 Mar 2016 16:33:18 +0000

http://code.google.com/p/prettytable/
A simple Python library for easily displaying tabular data in a visually appealing ASCII table format
---
 testing/py-prettytable/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-prettytable/APKBUILD
diff --git a/testing/py-prettytable/APKBUILD b/testing/py-prettytable/APKBUILD
new file mode 100644
index 0000000..0be4315
--- /dev/null
+++ b/testing/py-prettytable/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Matt Dainty <matt+alpine_at_bodgit-n-scarper.com>
+# Maintainer:
+pkgname=py-prettytable
+_pkgname=prettytable
+pkgver=0.7.2
+pkgrel=0
+pkgdesc="A simple Python library for easily displaying tabular data in a visually appealing ASCII table format"
+url="http://code.google.com/p/prettytable/"
+arch="noarch"
+license="BSD"
+depends="python"
+makedepends="py-setuptools"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/P/PrettyTable/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	chmod 644 ${_pkgname}.egg-info/*
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="a6b80afeef286ce66733d54a0296b13b  prettytable-0.7.2.tar.gz"
+sha256sums="2d5460dc9db74a32bcc8f9f67de68b2c4f4d2f01fa3bd518764c69156d9cacd9  prettytable-0.7.2.tar.gz"
+sha512sums="84611b9ad11bd428cdb00795e0a9baff44d027331b73ed1742596acda8acc8aca3df4276fa2f2ca2289f10b2989b3c86556de70bca6a9773b15cd80c54c33117  prettytable-0.7.2.tar.gz"
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Mar 24 2016 - 16:33:18 GMT